API referenceLogs

List API request logs

GET/logs

Route, status and duration of each public API request, with Resend's endpoint and response_status. No bodies are stored.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
status?string

Value in

  • "2xx"
  • "3xx"
  • "4xx"
  • "5xx"
  • "error"
method?string

Value in

  • "GET"
  • "POST"
  • "PUT"
  • "PATCH"
  • "DELETE"
api_key_id?string

Stamp0 key_ identifier

Match^key_[0-9A-Za-z]{16}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/logs"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "api_request_log",      "id": "string",      "method": "string",      "path": "string",      "endpoint": "string",      "status": -9007199254740991,      "response_status": -9007199254740991,      "duration_ms": 0,      "api_key_id": "string",      "request_id": "string",      "user_agent": "string",      "ip_address": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ]}